//+------------------------------------------------------------------+
//|                                             PhoenixSafe_v1.0.mq4 |
//|                                       Copyright  2006, Hendrick.|
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Hendrick"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_minimum -100
#property indicator_maximum 100
#property indicator_level1 50
#property indicator_level2 -50

extern int PC = 6;

//---- buffers
double ExtMapBuffer0[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer0);
   IndicatorShortName("FirebirdSafe");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();
   if (counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;

   int pos=Bars-counted_bars;   
   double dResult; 
   Comment(Point);
   while(pos>=0)
     {
     dResult=iBullsPower(NULL,0,13,PC,pos)+iBearsPower(NULL,0,13,PC,pos);
     if(Point==0.01) dResult=dResult*100;
     if(Point==0.0001) dResult=dResult*10000;
     ExtMapBuffer0[pos]=dResult;
     pos--;
     } 
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+